<template>

  <v-dialog
    max-width="620" v-model="dialogo"
    transition="fab-transition" persistent
  >

    <v-card style="border-radius: 10px;" class="pa-6" elevation="0" outlined>

      <v-toolbar elevation="0" color="transparent" dense>

        <v-spacer />
        <v-toolbar-title class="text-h5"> Asignar Grado </v-toolbar-title>
        <v-spacer />
        <v-btn icon @click.stop="CerrarDialogo">
          <v-icon size="30"> mdi-close </v-icon>
        </v-btn>

      </v-toolbar>

      <v-card-text class="pa-4">

        <v-form ref="frmAlumno">

          <v-text-field
            name="seccion-text" label="Sección" v-model="alumnoGrado.seccion"
            style="border-radius: 10px;" :rules="[rules.seccion.required]"
            prepend-inner-icon="mdi-format-text" outlined
            color="white"
          />

          <v-select
            v-model="alumnoGrado.idGrado" :items="grados" item-value="idGrado"
            item-text="nombre" style="border-radius: 10px;"
            prepend-inner-icon="mdi-billboard" label="Pertenece al grado"
            :rules="[rules.grado.required]" outlined
            color="white"
          />

          <v-btn
            color="blue darken-1" light block style="border-radius: 10px;"
            elevation="0" x-large @click="AsignarGrado"
            dark
          >
            <v-icon left dark size="25"> mdi-check </v-icon>
            Asignar Grado
          </v-btn>

        </v-form>

      </v-card-text>

    </v-card>

  </v-dialog>

</template>

<script>

export default {

  props: {
    value: Boolean,
    alumno: Object,
    grados: Array
  },

  computed: {

    dialogo: {

      get(){
        return this.value
      },
      set(value){
        this.$emit('input', value)
      }

    }

  },

  data(){

    return {

      menu: false,

      alumnoGrado: {},

      rules: {

        seccion: { required: v => !!v || "La sección es obligatoria" },
        grado: { required: v => !!v || "El grado es obligatorio" }

      }

    }

  },

  methods: {

    async AsignarGrado(){

      let config = { timeout: 5000 }

      await this.$axios.post("/alumnos/asignar-grado/" + this.alumno.idAlumno, this.alumnoGrado, config).then(({data}) => {

        this.$emit("refresh");
        this.CerrarDialogo()

      })

    },

    CerrarDialogo(){

      this.$emit("update:alumno", {})
      this.alumnoGrado = {}
      this.$refs.frmAlumno?.resetValidation()
      this.dialogo = false

    }

  }


}

</script>
